#include <schedule.h>

int main()
{

    // 1. Carga entorno (el archivo debe existir y estar en la carpeta correcta)
    SINGLE_MACHINE my_single = load_SINGLE_MACHINE("test_single_machine.txt");

    // 2. Dimensiona vector y crea secuencia
    VECTOR_INT seq = DIM_VECTOR_INT(my_single.jobs);
    for(int i=0; i < my_single.jobs; i++) {
        seq[i] = i;
    }

    // 3. Calcula tiempos de terminacin
    VECTOR_LONG completion_times = Cj(my_single, seq);

    // 4. Imprime resultado
    print_vector(completion_times, my_single.jobs);

    // 5. Libera memoria
    free(seq);
    free(completion_times);

    return 0;
}
